Subject: Re: bug#56987: [PATCH] etc: guix-debbugs.el: new file.

From: Michael Albinus <[email-masked]>
Date: Wed, 10 Aug 2022 18:44:52 +0200

Joshua Branson <[email-masked]> writes:

Hi Joshua,

just some comments after short reading of the patch.

>  @example
>  @kbd{C-u} @kbd{M-x} debbugs-gnu @kbd{RET} @kbd{RET} guix-patches @kbd{RET} n y
>  @end example

Alternatively, a user could set debbugs-gnu-default-packages to '("guix" "guix-patches")
Then it won't be necessary to enter the package name(s) again and again.

> +;; Copyright (C) 2022 Joshua Branson

This would change to FSF, if bundled with the debbugs package.

> +;; Package-Requires: ((emacs "24.3"))

debbugs.el says

;; Package-Requires: ((emacs "26.1") (soap-client "3.1.5"))

So I guess you might lift up the required Emacs version.

> +;; TODO make this by default only search open bugs AND NOT closed bugs.
> +(defun debbugs-guix-search ()
> +  (interactive)
> +  (debbugs-gnu-search (read-string "Search String: ") nil nil '("guix" "guix-patches") nil))

As said the other message, it should be

(debbugs-gnu-search (read-string "Search String: ") '((pending . "pending")) nil '("guix" "guix-patches"))

> +;; The debbugs database runs once a day.  So after I send a bug report
> +;; and run this command, my latest bug report might not be here.  No worries,
> +;; just wait one day, and it will be there.  :)

To be more precise, the Hyperestraier search engine on debbugs.gnu.org
makes new indices after that period. New submitted bugs are in the
debbugs database shortly after sending the message. It is just
debbugs-gnu-search, which needs these indices.

> +;; I have noticed that this function works 80% of the time.  But after I close bug reports,
> +;; it seems to stop working for about 1/2 hour.  I'm guessing the server's database
> +;; resets itself after every time that I close a bug report...

debbugs.el uses a cache, which flushes the value after an hour. See the
variable debbugs-cache-expiry.

There is the command debbugs-gnu-rescan, bound to key "g", which rescans
an existing tabulated list. With a prefix argument ("C-u g"), the cache
is ignored, and the data are retrieved directly from debbugs.gnu.el.

However, please be cautious with invalidating the cache. Every action on
the debbugs.gnu.org server causes a workload there, and we don't want to
overuse it.

Best regards, Michael.